Retrieve a money transaction
curl --request GET \
--url https://api.spacebring.com/transactions/money/v1/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.spacebring.com/transactions/money/v1/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.spacebring.com/transactions/money/v1/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transaction": {
"amount": 123,
"booking": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resource": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"price": {
"netAmount": 123,
"taxAmount": 123
}
},
"company": {
"billingAddress": "<string>",
"businessAddress": {
"city": "<string>",
"countryCode": "<string>",
"line1": "<string>",
"line2": "<string>",
"postalCode": "<string>",
"state": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"credits": {
"expiring": 123,
"permanent": 123
},
"dayPasses": {
"expiring": 123
},
"deleteDate": "2023-11-07T05:31:56Z",
"id": "<string>",
"legalName": "<string>",
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"notes": "<string>",
"subscriptionRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"taxId": "<string>",
"title": "<string>"
},
"createDate": "2023-11-07T05:31:56Z",
"creditPackage": {
"amount": 123,
"price": {
"netAmount": 123,
"taxAmount": 123
}
},
"currencyCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"locationRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"membershipRef": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"option": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"price": {
"netAmount": 123,
"taxAmount": 123
},
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
}
},
"paymentMethod": {
"label": "<string>"
},
"plan": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>"
},
"refund": {
"amount": 123,
"createDate": "2023-11-07T05:31:56Z"
},
"ticket": {
"createDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event": {
"endDate": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"startDate": "2023-11-07T05:31:56Z",
"title": "<string>"
},
"price": {
"netAmount": 123,
"taxAmount": 123
}
},
"type": "<string>",
"user": {
"about": "<string>",
"email": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phoneNumber": "<string>",
"photoUrl": "<string>",
"surname": "<string>"
}
}
}{
"message": "<string>",
"type": "<string>"
}Transactions
Retrieve a money transaction
Retrieve a money transaction.
OAuth
Required scopes:transactions.readonly or transactionsGET
/
transactions
/
money
/
v1
/
{id}
Retrieve a money transaction
Authorizations
BasicAuthOAuth2
See our authentication documentation for how to authorize your requests
Headers
The id of the network. Required when using bearer token authentication
Path Parameters
The id of the transaction
Response
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I